# DetectBarcodeFromImageParams class

Annotations
  - @JsonSerializable(includeIfNull: false, explicitToJson: true, createFactory: false)

## Constructors

DetectBarcodeFromImageParams({List<BarcodeFormat> barcodeFormats = BarcodeFormat.values, List<BarcodeDocumentFormat> acceptedDocumentFormats = const [], BarcodeAdditionalParameters? additionalParameters, Uri? uri, List<Uri>? uris})

## Properties

acceptedDocumentFormats → List<BarcodeDocumentFormat>
  Barcode document formats which need to be recognized.
  final
additionalParameters → BarcodeAdditionalParameters?
  final
barcodeFormats → List<BarcodeFormat>
  Barcode formats which need to be recognized.
  final
hashCode → int
  The hash code for this object.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
uri ↔ Uri?
  File or content uri
  getter/setter pair
uris ↔ List<Uri>?
  List of multiple file or content uri
  getter/setter pair

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited